#include "Uri.hh"

Uri::Uri() : _uri(new UriUriA)
{
    memset(static_cast<UriUriA *>(this->_uri.get()), 0, sizeof(UriUriA));
}

Uri &Uri::operator=(Uri &&other)
{
    _uri = std::move(other._uri);
    return *this;
}

Uri::Uri(Uri &&other) : _uri(std::move(other._uri))
{
}

Uri::~Uri()
{
    uriFreeUriMembersA(_uri.get());
}